How to install popper notifier in 16.04

Asked by Rollo Handy on 2016-09-03

Popper e-mail notifier worked fine in 14.04, and continued to work in 16.04 after I "automatically" upgraded to that version. However when I installed 16.04 on another machine that did not have Ubuntu, I could not install Popper.

Question information

Language:
English Edit question
Status:
Solved
For:
Popper Edit question
Assignee:
No assignee Edit question
Solved by:
Manfred Hampl
Solved:
2016-09-07
Last query:
2016-09-07
Last reply:
2016-09-06
Rollo Handy (rhandy4728) said : #2

Thank you. The strange thing is that Popper 0.31 works nicely on the 16.04 machine that was upgraded from a 14.04 OS. Yet after I installed 16.04 on another computer that had no previous Ubuntu on it, Popper will not install. I will check further.

Manfred Hampl (m-hampl) said : #3

Maybe you can try a manual installation of https://launchpad.net/~ralf.hersel/+archive/ubuntu/rhersel-ppa/+files/popper_0.31.3-0ubuntu1_all.deb (which is the version for precise)

Rollo Handy (rhandy4728) said : #4

Your concern and help are much appreciated. I tried a manual install
using gdebi, and also tried via sudo apt install..., but neither
worked. Apparently something needed cannot be installed in 16.04,
resulting in a broken dependency. I will use MailNag instead, even
though I much preferred Popper. Again, thanks.

On 09/06/2016 01:08 PM, Manfred Hampl wrote:
> Your question #380111 on Popper changed:
> https://answers.launchpad.net/popper/+question/380111
>
> Status: Open => Answered
>
> Manfred Hampl proposed the following answer:
> Maybe you can try a manual installation of
> https://launchpad.net/~ralf.hersel/+archive/ubuntu/rhersel-
> ppa/+files/popper_0.31.3-0ubuntu1_all.deb (which is the version for
> precise)
>

Best Manfred Hampl (m-hampl) said : #5

If the broken dependency is python-support, then you can try taking it from https://launchpad.net/ubuntu/xenial/+package/python-support for another manual install.

Rollo Handy (rhandy4728) said : #6

Thank you, Mr. Hampl I needed python-support and did not have it. Popper notifier is now working perfectly. Your patience and knowledge are greatly appreciated.

Patrick Ulbrich (pulb) said : #7

Popper was forked some time ago and turned into a desktop-independent mail notification daemon - Mailnag. Currently Mailnag has desktop integration support for Ubuntu, Elementary OS, GNOME and Cinnamon.

https://github.com/pulb/mailnag
https://github.com/pulb/mailnag-unity-plugin
https://launchpad.net/~pulb/+archive/ubuntu/mailnag